<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Purchase extends Model
{
    use HasFactory;

    protected $fillable = [
        'supplier_name',
        'invoice_number',
        'invoice_date',
        'invoice_weight',
        'jewelry_type',
        'alloy',
        'total_amount',
        'transfer_status',
        'transfer_date',
        'receipt_date',
        'year',
    ];

    protected $casts = [
        'invoice_date' => 'date',
        'transfer_date' => 'date',
        'receipt_date' => 'date',
    ];
}
