<?php if (isset($component)) { $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54 = $attributes; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\AppLayout::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
     <?php $__env->slot('header', null, []); ?> 
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            <?php echo e(__('تعديل الفاتورة')); ?> - <?php echo e($invoice->invoice_number); ?>

        </h2>
     <?php $__env->endSlot(); ?>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                <div class="p-6 bg-white border-b border-gray-200">
                    <?php if(session('error')): ?>
                        <div class="bg-red-100 border border-red-400 text-red-700 px-4 py-3 rounded relative mb-4" role="alert">
                            <span class="block sm:inline"><?php echo e(session('error')); ?></span>
                        </div>
                    <?php endif; ?>

                    <form method="POST" action="<?php echo e(route('invoices.update', $invoice)); ?>">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('PUT'); ?>

                        <div class="grid grid-cols-1 md:grid-cols-2 gap-4 mb-6">
                            <div>
                                <label for="invoice_number" class="block text-gray-700 text-sm font-bold mb-2"><?php echo e(__('رقم الفاتورة')); ?></label>
                                <input id="invoice_number" type="text" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline <?php $__errorArgs = ['invoice_number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-red-500 <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="invoice_number" value="<?php echo e(old('invoice_number', $invoice->invoice_number)); ?>" required>
                                <?php $__errorArgs = ['invoice_number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <p class="text-red-500 text-xs italic mt-1"><?php echo e($message); ?></p>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>

                            <div>
                                <label for="client_id" class="block text-gray-700 text-sm font-bold mb-2"><?php echo e(__('الزبون')); ?></label>
                                <select id="client_id" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline <?php $__errorArgs = ['client_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-red-500 <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="client_id" required>
                                    <option value=""><?php echo e(__('اختر الزبون')); ?></option>
                                    <?php $__currentLoopData = $clients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($client->id); ?>" <?php echo e(old('client_id', $invoice->client_id) == $client->id ? 'selected' : ''); ?>><?php echo e($client->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php $__errorArgs = ['client_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <p class="text-red-500 text-xs italic mt-1"><?php echo e($message); ?></p>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>

                            <div>
                                <label for="invoice_date" class="block text-gray-700 text-sm font-bold mb-2"><?php echo e(__('تاريخ الفاتورة')); ?></label>
                                <input id="invoice_date" type="date" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline <?php $__errorArgs = ['invoice_date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-red-500 <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="invoice_date" value="<?php echo e(old('invoice_date', $invoice->invoice_date->format('Y-m-d'))); ?>" required>
                                <?php $__errorArgs = ['invoice_date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <p class="text-red-500 text-xs italic mt-1"><?php echo e($message); ?></p>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>

                            <div>
                                <label for="payment_type" class="block text-gray-700 text-sm font-bold mb-2"><?php echo e(__('طريقة الدفع')); ?></label>
                                <select id="payment_type" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline <?php $__errorArgs = ['payment_type'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-red-500 <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="payment_type" required>
                                    <option value="cash" <?php echo e(old('payment_type', $invoice->payment_type) == 'cash' ? 'selected' : ''); ?>><?php echo e(__('نقدي')); ?></option>
                                    <option value="transfer" <?php echo e(old('payment_type', $invoice->payment_type) == 'transfer' ? 'selected' : ''); ?>><?php echo e(__('تحويل')); ?></option>
                                    <option value="credit" <?php echo e(old('payment_type', $invoice->payment_type) == 'credit' ? 'selected' : ''); ?>><?php echo e(__('آجل')); ?></option>
                                </select>
                                <?php $__errorArgs = ['payment_type'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <p class="text-red-500 text-xs italic mt-1"><?php echo e($message); ?></p>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>

                            <div>
                                <label for="gold_price" class="block text-gray-700 text-sm font-bold mb-2"><?php echo e(__('سعر الذهب')); ?></label>
                                <input id="gold_price" type="number" step="0.01" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline <?php $__errorArgs = ['gold_price'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-red-500 <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="gold_price" value="<?php echo e(old('gold_price', $invoice->gold_price)); ?>" required>
                                <?php $__errorArgs = ['gold_price'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <p class="text-red-500 text-xs italic mt-1"><?php echo e($message); ?></p>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>

                            <div>
                                <label for="authorized_signature" class="block text-gray-700 text-sm font-bold mb-2"><?php echo e(__('توقيع المدير المفوض')); ?></label>
                                <input id="authorized_signature" type="text" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline <?php $__errorArgs = ['authorized_signature'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-red-500 <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="authorized_signature" value="<?php echo e(old('authorized_signature', $invoice->authorized_signature)); ?>">
                                <?php $__errorArgs = ['authorized_signature'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <p class="text-red-500 text-xs italic mt-1"><?php echo e($message); ?></p>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>

                        <div class="mb-6">
                            <h3 class="text-lg font-bold mb-2"><?php echo e(__('بنود الفاتورة')); ?></h3>
                            
                            <div id="items-container">
                                <?php $__currentLoopData = $invoice->items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="invoice-item bg-gray-50 p-4 rounded mb-4" data-index="<?php echo e($index); ?>">
                                    <div class="flex justify-between mb-2">
                                        <h4 class="font-bold"><?php echo e(__('البند')); ?> #<?php echo e($index + 1); ?></h4>
                                        <button type="button" class="remove-item text-red-500 hover:text-red-700">
                                            <svg xmlns="http://www.w3.org/2000/svg" class="h-5 w-5" viewBox="0 0 20 20" fill="currentColor">
                                                <path fill-rule="evenodd" d="M9 2a1 1 0 00-.894.553L7.382 4H4a1 1 0 000 2v10a2 2 0 002 2h8a2 2 0 002-2V6a1 1 0 100-2h-3.382l-.724-1.447A1 1 0 0011 2H9zM7 8a1 1 0 012 0v6a1 1 0 11-2 0V8zm5-1a1 1 0 00-1 1v6a1 1 0 102 0V8a1 1 0 00-1-1z" clip-rule="evenodd" />
                                            </svg>
                                        </button>
                                    </div>
                                    <input type="hidden" name="items[<?php echo e($index); ?>][id]" value="<?php echo e($item->id); ?>">
                                    <div class="grid grid-cols-1 md:grid-cols-2 gap-4">
                                        <div>
                                            <label class="block text-sm font-medium text-gray-700 mb-1"><?php echo e(__('التفاصيل')); ?></label>
                                            <input type="text" name="items[<?php echo e($index); ?>][details]" class="item-details mt-1 block w-full rounded-md border-gray-300 shadow-sm" value="<?php echo e($item->details); ?>" required>
                                        </div>
                                        <div>
                                            <label class="block text-sm font-medium text-gray-700 mb-1"><?php echo e(__('العيار')); ?></label>
                                            <input type="text" name="items[<?php echo e($index); ?>][caliber]" class="item-caliber mt-1 block w-full rounded-md border-gray-300 shadow-sm" value="<?php echo e($item->caliber); ?>" required>
                                        </div>
                                        <div>
                                            <label class="block text-sm font-medium text-gray-700 mb-1"><?php echo e(__('الوزن')); ?></label>
                                            <input type="number" step="0.001" name="items[<?php echo e($index); ?>][weight]" class="item-weight mt-1 block w-full rounded-md border-gray-300 shadow-sm" value="<?php echo e($item->weight); ?>" required>
                                        </div>
                                        <div>
                                            <label class="block text-sm font-medium text-gray-700 mb-1"><?php echo e(__('الأجرة')); ?></label>
                                            <input type="number" step="0.01" name="items[<?php echo e($index); ?>][fees]" class="item-fees mt-1 block w-full rounded-md border-gray-300 shadow-sm" value="<?php echo e($item->fees); ?>" required>
                                        </div>
                                    </div>
                                    <div class="mt-3">
                                        <label class="block text-sm font-medium text-gray-700 mb-1"><?php echo e(__('المجموع')); ?></label>
                                        <input type="number" step="0.01" name="items[<?php echo e($index); ?>][total]" class="item-total mt-1 block w-full rounded-md border-gray-300 shadow-sm bg-gray-100" value="<?php echo e($item->total); ?>" readonly>
                                    </div>
                                </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                            
                            <button type="button" id="add-item" class="mt-4 bg-green-500 hover:bg-green-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline">
                                <?php echo e(__('إضافة بند')); ?>

                            </button>
                        </div>

                        <div class="bg-gray-100 p-4 rounded-lg mb-6">
                            <h3 class="text-lg font-bold mb-4"><?php echo e(__('ملخص الفاتورة')); ?></h3>
                            
                            <div class="grid grid-cols-1 md:grid-cols-3 gap-4">
                                <div>
                                    <label for="total_weight" class="block text-gray-700 text-sm font-bold mb-2"><?php echo e(__('إجمالي الوزن')); ?></label>
                                    <input id="total_weight" type="text" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline bg-gray-100" name="total_weight" value="<?php echo e($invoice->total_weight); ?>" readonly>
                                </div>
                                
                                <div>
                                    <label for="total_fees" class="block text-gray-700 text-sm font-bold mb-2"><?php echo e(__('إجمالي الأجور')); ?></label>
                                    <input id="total_fees" type="text" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline bg-gray-100" name="total_fees" value="<?php echo e($invoice->total_fees); ?>" readonly>
                                </div>
                                
                                <div>
                                    <label for="total_gold" class="block text-gray-700 text-sm font-bold mb-2"><?php echo e(__('إجمالي الذهب')); ?></label>
                                    <input id="total_gold" type="text" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline bg-gray-100" name="total_gold" value="<?php echo e($invoice->total_gold); ?>" readonly>
                                </div>
                                
                                <div class="md:col-span-3">
                                    <label for="grand_total" class="block text-gray-700 text-sm font-bold mb-2"><?php echo e(__('المبلغ الإجمالي')); ?></label>
                                    <input id="grand_total" type="text" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 font-bold text-lg leading-tight focus:outline-none focus:shadow-outline bg-gray-100" name="grand_total" value="<?php echo e($invoice->grand_total); ?>" readonly>
                                </div>
                            </div>
                        </div>

                        <div class="flex items-center justify-between">
                            <button type="submit" class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline">
                                <?php echo e(__('تحديث الفاتورة')); ?>

                            </button>
                            <a href="<?php echo e(route('invoices.show', $invoice)); ?>" class="inline-block align-baseline font-bold text-sm text-blue-500 hover:text-blue-800">
                                <?php echo e(__('إلغاء')); ?>

                            </a>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <?php $__env->startPush('scripts'); ?>
    <script src="<?php echo e(asset('js/invoice.js')); ?>"></script>
    <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $attributes = $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $component = $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?><?php /**PATH C:\xampp\htdocs\GoldCoMS\resources\views/invoices/edit.blade.php ENDPATH**/ ?>