<?php if (isset($component)) { $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54 = $attributes; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\AppLayout::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
     <?php $__env->slot('header', null, []); ?> 
        <div class="flex justify-between">
            <h2 class="font-semibold text-xl text-gray-800 leading-tight">
                <?php echo e(__('تفاصيل الفاتورة')); ?>: <?php echo e($invoice->invoice_number); ?>

            </h2>
            <div>
                <a href="<?php echo e(route('invoices.print', $invoice)); ?>" class="inline-flex items-center px-4 py-2 bg-green-600 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-green-700 mr-2" target="_blank">
                    <?php echo e(__('طباعة')); ?>

                </a>
                <a href="<?php echo e(route('invoices.edit', $invoice)); ?>" class="inline-flex items-center px-4 py-2 bg-indigo-600 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-indigo-700 mr-2">
                    <?php echo e(__('تعديل')); ?>

                </a>
                <a href="<?php echo e(route('invoices.index')); ?>" class="inline-flex items-center px-4 py-2 bg-gray-600 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-gray-700">
                    <?php echo e(__('عودة للقائمة')); ?>

                </a>
            </div>
        </div>
     <?php $__env->endSlot(); ?>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                <div class="p-6 bg-white border-b border-gray-200">
                    <div class="grid grid-cols-1 md:grid-cols-2 gap-6 mb-6">
                        <div>
                            <h3 class="text-lg font-semibold mb-4"><?php echo e(__('معلومات الفاتورة')); ?></h3>
                            <table class="min-w-full divide-y divide-gray-200">
                                <tbody class="bg-white divide-y divide-gray-200">
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500"><?php echo e(__('رقم الفاتورة')); ?></td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900"><?php echo e($invoice->invoice_number); ?></td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500"><?php echo e(__('تاريخ الفاتورة')); ?></td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900"><?php echo e($invoice->invoice_date->format('Y-m-d')); ?></td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500"><?php echo e(__('طريقة الدفع')); ?></td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900">
                                            <?php if($invoice->payment_type == 'cash'): ?>
                                                <span class="px-2 inline-flex text-xs leading-5 font-semibold rounded-full bg-green-100 text-green-800">
                                                    <?php echo e(__('نقدي')); ?>

                                                </span>
                                            <?php elseif($invoice->payment_type == 'transfer'): ?>
                                                <span class="px-2 inline-flex text-xs leading-5 font-semibold rounded-full bg-blue-100 text-blue-800">
                                                    <?php echo e(__('تحويل')); ?>

                                                </span>
                                            <?php else: ?>
                                                <span class="px-2 inline-flex text-xs leading-5 font-semibold rounded-full bg-yellow-100 text-yellow-800">
                                                    <?php echo e($invoice->payment_type); ?>

                                                </span>
                                            <?php endif; ?>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500"><?php echo e(__('سعر الذهب')); ?></td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900"><?php echo e(number_format($invoice->gold_price, 2)); ?></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        
                        <div>
                            <h3 class="text-lg font-semibold mb-4"><?php echo e(__('معلومات الزبون')); ?></h3>
                            <table class="min-w-full divide-y divide-gray-200">
                                <tbody class="bg-white divide-y divide-gray-200">
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500"><?php echo e(__('الاسم')); ?></td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900"><?php echo e($invoice->client->name); ?></td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500"><?php echo e(__('رقم الهاتف')); ?></td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900"><?php echo e($invoice->client->phone ?? '-'); ?></td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500"><?php echo e(__('العنوان')); ?></td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900"><?php echo e($invoice->client->address ?? '-'); ?></td>
                                    </tr>
                                    <tr>
                                        <td class="px-6 py-3 text-right text-sm font-medium text-gray-500"><?php echo e(__('رقم الإجازة')); ?></td>
                                        <td class="px-6 py-3 text-right text-sm text-gray-900"><?php echo e($invoice->client->license_number ?? '-'); ?></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>

                    <div class="mb-6">
                        <h3 class="text-lg font-semibold mb-4"><?php echo e(__('بنود الفاتورة')); ?></h3>
                        <div class="overflow-x-auto">
                            <table class="min-w-full divide-y divide-gray-200">
                                <thead class="bg-gray-50">
                                    <tr>
                                        <th scope="col" class="px-6 py-3 text-right text-xs font-medium text-gray-500 uppercase tracking-wider"><?php echo e(__('#')); ?></th>
                                        <th scope="col" class="px-6 py-3 text-right text-xs font-medium text-gray-500 uppercase tracking-wider"><?php echo e(__('التفاصيل')); ?></th>
                                        <th scope="col" class="px-6 py-3 text-right text-xs font-medium text-gray-500 uppercase tracking-wider"><?php echo e(__('الوزن')); ?></th>
                                        <th scope="col" class="px-6 py-3 text-right text-xs font-medium text-gray-500 uppercase tracking-wider"><?php echo e(__('العيار')); ?></th>
                                        <th scope="col" class="px-6 py-3 text-right text-xs font-medium text-gray-500 uppercase tracking-wider"><?php echo e(__('الأجرة')); ?></th>
                                        <th scope="col" class="px-6 py-3 text-right text-xs font-medium text-gray-500 uppercase tracking-wider"><?php echo e(__('المجموع')); ?></th>
                                    </tr>
                                </thead>
                                <tbody class="bg-white divide-y divide-gray-200">
                                    <?php $__currentLoopData = $invoice->items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td class="px-6 py-4 text-right text-sm text-gray-900"><?php echo e($index + 1); ?></td>
                                        <td class="px-6 py-4 text-right text-sm text-gray-900"><?php echo e($item->details); ?></td>
                                        <td class="px-6 py-4 text-right text-sm text-gray-900"><?php echo e(number_format($item->weight, 3)); ?></td>
                                        <td class="px-6 py-4 text-right text-sm text-gray-900"><?php echo e($item->caliber); ?></td>
                                        <td class="px-6 py-4 text-right text-sm text-gray-900"><?php echo e(number_format($item->fees, 2)); ?></td>
                                        <td class="px-6 py-4 text-right text-sm text-gray-900"><?php echo e(number_format($item->total, 2)); ?></td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div>

                    <div class="bg-gray-50 p-4 rounded-lg">
                        <h3 class="text-lg font-semibold mb-4"><?php echo e(__('ملخص الفاتورة')); ?></h3>
                        <div class="grid grid-cols-1 md:grid-cols-2 gap-6">
                            <div>
                                <table class="min-w-full divide-y divide-gray-200">
                                    <tbody class="divide-y divide-gray-200">
                                        <tr>
                                            <td class="px-6 py-3 text-right text-sm font-medium text-gray-500"><?php echo e(__('إجمالي الوزن')); ?></td>
                                            <td class="px-6 py-3 text-right text-sm text-gray-900"><?php echo e(number_format($invoice->total_weight, 3)); ?></td>
                                        </tr>
                                        <tr>
                                            <td class="px-6 py-3 text-right text-sm font-medium text-gray-500"><?php echo e(__('إجمالي الأجور')); ?></td>
                                            <td class="px-6 py-3 text-right text-sm text-gray-900"><?php echo e(number_format($invoice->total_fees, 2)); ?></td>
                                        </tr>
                                        <tr>
                                            <td class="px-6 py-3 text-right text-sm font-medium text-gray-500"><?php echo e(__('إجمالي الذهب')); ?></td>
                                            <td class="px-6 py-3 text-right text-sm text-gray-900"><?php echo e(number_format($invoice->total_gold, 2)); ?></td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div>
                                <table class="min-w-full divide-y divide-gray-200">
                                    <tbody class="divide-y divide-gray-200">
                                        <tr>
                                            <td class="px-6 py-3 text-right text-lg font-bold text-gray-800"><?php echo e(__('المبلغ الإجمالي')); ?></td>
                                            <td class="px-6 py-3 text-right text-lg font-bold text-gray-800"><?php echo e(number_format($invoice->grand_total, 2)); ?></td>
                                        </tr>
                                        <tr>
                                            <td class="px-6 py-3 text-right text-sm font-medium text-gray-500"><?php echo e(__('توقيع المدير المفوض')); ?></td>
                                            <td class="px-6 py-3 text-right text-sm text-gray-900"><?php echo e($invoice->authorized_signature ?? 'علي نزار محمد'); ?></td>
                                        </tr>
                                        <tr>
                                            <td class="px-6 py-3 text-right text-sm font-medium text-gray-500"><?php echo e(__('توقيع الزبون')); ?></td>
                                            <td class="px-6 py-3 text-right text-sm text-gray-900"><?php echo e($invoice->client_signature ?? '-'); ?></td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                    <?php if($invoice->payment_type == 'transfer' && count($invoice->transfers) > 0): ?>
                    <div class="mt-6">
                        <h3 class="text-lg font-semibold mb-4"><?php echo e(__('الحوالات المرتبطة')); ?></h3>
                        <div class="overflow-x-auto">
                            <table class="min-w-full divide-y divide-gray-200">
                                <thead class="bg-gray-50">
                                    <tr>
                                        <th scope="col" class="px-6 py-3 text-right text-xs font-medium text-gray-500 uppercase tracking-wider"><?php echo e(__('#')); ?></th>
                                        <th scope="col" class="px-6 py-3 text-right text-xs font-medium text-gray-500 uppercase tracking-wider"><?php echo e(__('تاريخ التحويل')); ?></th>
                                        <th scope="col" class="px-6 py-3 text-right text-xs font-medium text-gray-500 uppercase tracking-wider"><?php echo e(__('تاريخ الاستلام')); ?></th>
                                        <th scope="col" class="px-6 py-3 text-right text-xs font-medium text-gray-500 uppercase tracking-wider"><?php echo e(__('الحالة')); ?></th>
                                        <th scope="col" class="px-6 py-3 text-right text-xs font-medium text-gray-500 uppercase tracking-wider"><?php echo e(__('الإجراءات')); ?></th>
                                    </tr>
                                </thead>
                                <tbody class="bg-white divide-y divide-gray-200">
                                    <?php $__currentLoopData = $invoice->transfers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $transfer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td class="px-6 py-4 text-right text-sm text-gray-900"><?php echo e($index + 1); ?></td>
                                        <td class="px-6 py-4 text-right text-sm text-gray-900"><?php echo e($transfer->transfer_date->format('Y-m-d')); ?></td>
                                        <td class="px-6 py-4 text-right text-sm text-gray-900"><?php echo e($transfer->receipt_date ? $transfer->receipt_date->format('Y-m-d') : '-'); ?></td>
                                        <td class="px-6 py-4 text-right text-sm text-gray-900"><?php echo e($transfer->status); ?></td>
                                        <td class="px-6 py-4 text-right text-sm font-medium">
                                            <a href="<?php echo e(route('transfers.show', $transfer)); ?>" class="text-blue-600 hover:text-blue-900"><?php echo e(__('عرض')); ?></a>
                                        </td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $attributes = $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $component = $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?><?php /**PATH C:\xampp\htdocs\GoldCoMS\resources\views/invoices/show.blade.php ENDPATH**/ ?>