<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class InvoiceItem extends Model
{
    use HasFactory;

    protected $fillable = [
        'invoice_id',
        'details',
        'weight',
        'caliber',
        'fees',
        'total',
    ];

    public function invoice()
    {
        return $this->belongsTo(Invoice::class);
    }
    
    public function calculateTotal($goldPrice)
    {
        $this->total = ($this->weight * $goldPrice) + $this->fees;
        return $this;
    }
}